Package org.drinkless.tdlib

# Class TdApi.MessageReplyInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageReplyInfo

Enclosing class:
  `TdApi`

public static class TdApi.MessageReplyInfo extends TdApi.Object
Contains information about replies to a message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `lastMessageId`
  Identifier of the last reply to the message.
  `long`
  `lastReadInboxMessageId`
  Identifier of the last read incoming reply to the message.
  `long`
  `lastReadOutboxMessageId`
  Identifier of the last read outgoing reply to the message.
  `TdApi.MessageSender[]`
  `recentReplierIds`
  Identifiers of at most 3 recent repliers to the message; available in channels with a discussion supergroup.
  `int`
  `replyCount`
  Number of times the message was directly or indirectly replied.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageReplyInfo()`
  Contains information about replies to a message.
  `MessageReplyInfo(int replyCount, TdApi.MessageSender[] recentReplierIds, long lastReadInboxMessageId, long lastReadOutboxMessageId, long lastMessageId)`
  Contains information about replies to a message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### replyCount

    public int replyCount
    Number of times the message was directly or indirectly replied.

  - ### recentReplierIds

    public TdApi.MessageSender[] recentReplierIds
    Identifiers of at most 3 recent repliers to the message; available in channels with a discussion supergroup. The users and chats are expected to be inaccessible: only their photo and name will be available.

  - ### lastReadInboxMessageId

    public long lastReadInboxMessageId
    Identifier of the last read incoming reply to the message.

  - ### lastReadOutboxMessageId

    public long lastReadOutboxMessageId
    Identifier of the last read outgoing reply to the message.

  - ### lastMessageId

    public long lastMessageId
    Identifier of the last reply to the message.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageReplyInfo

    public MessageReplyInfo()
    Contains information about replies to a message.

  - ### MessageReplyInfo

    public MessageReplyInfo(int replyCount, TdApi.MessageSender[] recentReplierIds, long lastReadInboxMessageId, long lastReadOutboxMessageId, long lastMessageId)
    Contains information about replies to a message.
    Parameters:
      `replyCount` - Number of times the message was directly or indirectly replied.
      `recentReplierIds` - Identifiers of at most 3 recent repliers to the message; available in channels with a discussion supergroup. The users and chats are expected to be inaccessible: only their photo and name will be available.
      `lastReadInboxMessageId` - Identifier of the last read incoming reply to the message.
      `lastReadOutboxMessageId` - Identifier of the last read outgoing reply to the message.
      `lastMessageId` - Identifier of the last reply to the message.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR